JVMPanel.JvmValidationResult.STATE (IcedTea-Web: NetX )
Keywords: net.sourceforge.jnlp.controlpanel.JVMPanel.JvmValidationResult.STATE class
Date: 2021-11-09

net.sourceforge.jnlp.controlpanel

## Enum JVMPanel.JvmValidationResult.STATE

- java.lang.Object
- - java.lang.Enum<JVMPanel.JvmValidationResult.STATE>
  - - net.sourceforge.jnlp.controlpanel.JVMPanel.JvmValidationResult.STATE

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<JVMPanel.JvmValidationResult.STATE>
  Enclosing class:
    JVMPanel.JvmValidationResult

      public static enum JVMPanel.JvmValidationResult.STATE
      extends java.lang.Enum<JVMPanel.JvmValidationResult.STATE>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EMPTY`
    `NOT_DIR`
    `NOT_VALID_DIR`
    `NOT_VALID_JDK`
    `VALID_JDK`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JVMPanel.JvmValidationResult.STATE` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static JVMPanel.JvmValidationResult.STATE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EMPTY

          public static final JVMPanel.JvmValidationResult.STATE EMPTY

    - #### NOT_DIR

          public static final JVMPanel.JvmValidationResult.STATE NOT_DIR

    - #### NOT_VALID_DIR

          public static final JVMPanel.JvmValidationResult.STATE NOT_VALID_DIR

    - #### NOT_VALID_JDK

          public static final JVMPanel.JvmValidationResult.STATE NOT_VALID_JDK

    - #### VALID_JDK

          public static final JVMPanel.JvmValidationResult.STATE VALID_JDK

  - ### Method Detail

    - #### values

          public static JVMPanel.JvmValidationResult.STATE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JVMPanel.JvmValidationResult.STATE c : JVMPanel.JvmValidationResult.STATE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JVMPanel.JvmValidationResult.STATE valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Submit a bug or feature